# Derivatives

Let $\mathrm{M}$ be a differential manifold with $\dim \mathrm{M} = n \in \mathbb{N}$ used throughout the section. Let $\mathrm{TM}$ and $\mathrm{T^*M}$ denote the tangent and cotangent bundle, $V$ and $V^*$ the fiber and dual fiber bundle and $\mathscr{B}$ the tensor fiber bundle. 

## Lie derivative

> *Definition 1*: the **Lie derivative** on a section of a tangent bundle $\mathscr{L}: \Gamma(\mathrm{TM}) \times \Gamma(\mathrm{TM}) \to \Gamma(\mathrm{TM})$ is a map defined by
>
> $$
>   \mathscr{L}_\mathbf{w} \mathbf{v} = \mathbf{w} \circ \mathbf{v} - \mathbf{v} \circ \mathbf{w} = [\mathbf{w}, \mathbf{v}], 
> $$
>
> for all $\mathbf{w}, \mathbf{v} \in \Gamma(\mathrm{TM})$. 

In which the bracket formulation is also referred to as the Lie bracket. 

> *Proposition 1*: the Lie derivative can be decomposed into
>
> $$
>   \mathscr{L}_\mathbf{w} \mathbf{v} = \mathscr{L}_\mathbf{w}^i \mathbf{v} \partial_i = (w^j \partial_j v^i - v^j \partial_j w^i) \partial_i,
> $$
>
> for all $\mathbf{w}, \mathbf{v} \in \Gamma(\mathrm{TM})$. 

??? note "*Proof*:"

    Will be added later.

## Exterior derivative

> *Definition 2*: the **exterior derivative** $d: \Gamma \big(\bigwedge_k(\mathrm{T}\mathrm{M}) \big) \to \Gamma \big(\bigwedge_{k+1}(\mathrm{T}\mathrm{M}) \big)$ of a $k$-form field, $k \in \mathbb{N}[k \leq n]$ is the $(k+1)$-form field 
>
> $$
> \begin{align*}
>   d \bm{\omega} &= d \omega_{|i_1 \dots i_k|} \wedge dx^{i_1} \wedge \dots \wedge dx^{i_k}, \\
>                 &= \partial_j \omega_{|i_1 \dots i_k|} dx^j \wedge dx^{i_1} \wedge \dots \wedge dx^{i_k},
> \end{align*} 
> $$
>
> for all $\bm{\omega} \in \Gamma \big(\bigwedge_k(\mathrm{T}\mathrm{M}) \big)$. 

From the definition of the exterior definition the following results arises. 

> *Theorem 1*: we have that
>
> 1. $\forall\bm{\omega} \in \Gamma \big(\bigwedge_n(\mathrm{T}\mathrm{M}) \big): d \bm{\omega} = \mathbf{0}$, 
> 2. $\forall\bm{\omega} \in \Gamma \big(\bigwedge_k(\mathrm{T}\mathrm{M}) \big), k \in \mathbb{N}[k \leq n]: d^2 \bm{\omega} = \mathbf{0}$.

??? note "*Proof*:"

    Will be added later.

## Hodge star operator

> *Definition 3*: the **hodge star operator** $*: \Gamma \big(\bigwedge_k(\mathrm{T}\mathrm{M}) \big) \to \Gamma \big(\bigwedge_{n-k}(\mathrm{T}\mathrm{M}) \big)$ with $k \in \mathbb{N}[k \leq n]$ has the following properties
>
> 1. $\forall \bm{\omega} \in \Gamma \big(\bigwedge_0(\mathrm{T}\mathrm{M}) \big): * \bm{\omega} = \bm{\epsilon}$, 
> 2. $* (dx^{i_1} \wedge \dots \wedge dx^{i_k}) = \bm{\epsilon} \lrcorner \mathbf{g}^{-1}(dx^{i_1}) \lrcorner \dots \lrcorner \mathbf{g}^{-1}(dx^{i_k})$, 
>
> for all $dx^{i_1} \wedge \dots \wedge dx^{i_k} \in \Gamma \big(\bigwedge_k(\mathrm{T}\mathrm{M}) \big)$ with $\bm{\epsilon}$ the Levi-Civita tensor $\bm{\epsilon} \in \big(\bigwedge_n(\mathrm{T}\mathrm{M}) \big)$ and $\mathbf{g}^{-1}: \Gamma(\mathrm{T}^*\mathrm{M}) \to \Gamma(\mathrm{T}\mathrm{M})$ the [dual metric](). 