# Transformations

Let $\mathrm{M}$ be a differential manifold with $\dim \mathrm{M} = n \in \mathbb{N}$ used throughout the section. Let $\mathrm{TM}$ and $\mathrm{T^*M}$ denote the tangent and cotangent bundle. 

## Push forward and pull back

> *Definition 1*: let $\mathrm{M}, \mathrm{N}$ be two differential manifolds with $\dim \mathrm{N} \geq \dim \mathrm{M}$ and let $\psi: \mathrm{M} \to \mathrm{N}$ be the diffeomorphism between the manifolds. Then we define the **pull back** $\psi^*$ and **push forward** $\psi_*$ operators, such that for $\mathbf{v} \in \mathrm{T}_x \mathrm{M}$ and $\bm{\omega} \in \mathrm{T}_{\psi(x)}^* \mathrm{M}$ we have
>
> $$
>   \mathbf{k}_x(\psi^* \bm{\omega}, \mathbf{v}) = \mathbf{k}_{\psi(x)}(\bm{\omega}, \psi_* \mathbf{v}),
> $$
>
> for all $x \in \mathrm{M}$.

Which indicates the proper separation between the elements of both spaces.

## Basis transformation

Let $\psi: \mathscr{D}(\mathrm{M}) \to \mathrm{M}: x \mapsto \psi(x) \overset{\text{def}}{=} \overline{x}$ be an active coordinate transformation from a point $x$ to a point $\overline{x}$ on $\mathrm{M}$. Then we have a basis $\{\partial_i\}_{i=1}^n \subset \mathrm{T}_x\mathrm{M}$ for the tangent space $\mathrm{T}_x\mathrm{M}$ at $x$ and a basis $\{\overline{\partial_i}\}_{i=1}^n \subset \mathrm{T}_{\overline{x}}\mathrm{M}$ for the tangent space $\mathrm{T}_{\overline{x}}\mathrm{M}$ at $\overline{x}$. Which are related by

$$
    \partial_i = J^j_i \overline{\partial_j} = \partial_i \psi^j(x) \overline{\partial_j}, 
$$

with $J^j_i = \partial_i \psi^j(x)$ the [Jacobian]() at $x \in \mathrm{M}$. For it to make sense, it helps to change notation to 

$$
    \frac{\partial}{\partial x_i} = \frac{\partial \overline{x}^j}{\partial x_i} \frac{\partial}{\partial \overline{x}_j} = \frac{\partial \psi^j}{\partial x_i} \frac{\partial}{\partial \overline{x}_j}. 
$$

Similarly, we have a basis $\{dx^i\}_{i=1}^n \subset \mathrm{T}_x^*\mathrm{M}$ for the cotangent space $\mathrm{T}_x\mathrm{M}$ at $x$ and a basis $\{d\overline{x}^i\}_{i=1}^n \subset \mathrm{T}_{\overline{x}}^*\mathrm{M}$ for the cotangent space $\mathrm{T}_{\overline{x}}^*\mathrm{M}$ at $\overline{x}$. Which are related by

$$
    d\overline{x}^i = J^i_j dx^j = \partial_j \psi^i(x) dx^j. 
$$