# Representations of functionals

> *Lemma 1*: let $(X, \langle \cdot, \cdot \rangle)$ be an inner product space, if
>
> $$
>   \forall z \in X: \langle x, z \rangle = \langle y, z \rangle \implies x = y,
> $$
>
> and if
>
> $$
>   \forall z \in X: \langle x, z \rangle = 0 \implies x = 0.
> $$

??? note "*Proof*:"

    Will be added later.

Lemma 1 will be used in the following theorem.

> *Theorem 1*: for every bounded linear functional $f$ on a Hilbert space $(X, \langle \cdot, \cdot \rangle)$, there exists a $z \in X$ such that
>
> $$
>   f(x) = \langle x, z \rangle,
> $$
>
> for all $x \in x$, with $z$ uniquely dependent on $f$ and $\|z\| = \|f\|$.

??? note "*Proof*:"

    Will be added later.

## Sequilinear form

> *Definition 1*: let $X$ and $Y$ be vector spaces over the field $F$. A **sesquilinear** form $h$ on $X \times Y$ is an operator $h: X \times Y \to F$ satisfying the following conditions
>
> 1. $\forall x_{1,2} \in X, y \in Y: h(x_1 + x_2, y) = h(x_1, y) + h(x_2, y)$.
> 2. $\forall x \in X, y_{1,2} \in Y: h(x, y_1 + y_2) = h(x_1, y_1) + h(x_2, y_2)$.
> 3. $\forall x \in X, y \in Y, \alpha \in F: h(\alpha x, y) = \alpha h(x,y)$.
> 4. $\forall x \in X, y \in Y, \beta \in F: h(x, \beta y) = \overline \beta h(x,y)$. 

Hence, $h$ is linear in the first argument and conjugate linear in the second argument. Bilinearity of $h$ is only true for a real field $F$. 

> *Definition 2*: let $X$ and $Y$ be normed spaces over the field $F$ and let $h: X \times Y \to F$ be a sesquilinear form, then $h$ is a **bounded sesquilinear form** if
>
> $$
>   \exists c \in F: |h(x,y)| \leq c \|x\| \|y\|,
> $$
>
> for all $(x,y) \in X \times Y$ and the norm of $h$ is given by
>
> $$
>   \|h\| = \sup_{\substack{x \in X \backslash \{0\} \\ y \in Y \backslash \{0\}}} \frac{|h(x,y)|}{\|x\| \|y\|} = \sup_{\|x\|=\|y\|=1} |h(x,y)|.
> $$

For example, the inner product is sesquilinear and bounded. 

> *Theorem 2*: let $(X, \langle \cdot, \cdot \rangle_X)$ and $(Y, \langle \cdot, \cdot \rangle_Y)$ be Hilbert spaces over the field $F$ and let $h: X \times Y \to F$ be a bounded sesquilinear form. Then there exists a bounded linear operators $T: X \to Y$ and $S: Y \to X$, such that
>
> $$
>   h(x,y) = \langle Tx, y \rangle_Y = \langle x, Sy \rangle_X,
> $$
>
> for all $(x,y) \in X \times Y$, with $T$ and $S$ uniquely determined by $h$ with norms $\|T\| = \|S\| = \|h\|$. 

??? note "*Proof*:"

    Will be added later.