# Compactness

> *Definition 1*: a metric space $X$ is **compact** if every sequence in $X$ has a convergent subsequence. A subset $M$ of $X$ is compact if every sequence in $M$ has a convergent subsequence whose limit is an element of $M$.

A general property of compact sets is expressed in the following proposition.

> *Proposition 1*: a compact subset $M$ of a metric space $(X,d)$ is closed and bounded. 

??? note "*Proof*:"

    Will be added later.

The converse of this proposition is generally false.

??? note "*Proof*:"

    Will be added later.

However, for a finite dimensional normed space we have the following proposition.

> *Proposition 2*: in a finite dimensional normed space $(X, \|\cdot\|)$ a subset $M \subset X$ is compact if and only if $M$ is closed and bounded.

??? note "*Proof*:"

    Will be added later.

A source of interesting results is the following lemma.

> *Lemma 1*: let $Y$ and $Z$ be subspaces of a normed space $(X, \|\cdot\|)$, suppose that $Y$ is closed and that $Y$ is a strict subset of $Z$. Then for every $\alpha \in (0,1)$ there exists a $z \in Z$, such that
>
> 1. $\|z\| = 1$,
> 2. $\forall y \in Y: \|z - y\| \geq \alpha$.

??? note "*Proof*:"

    Will be added later.

Lemma 1 gives the following remarkable proposition.

> *Proposition 3*: if a normed space $(X, \|\cdot\|)$ has the property that the closed unit ball $M = \{x \in X | \|x\| \leq 1\}$ is compact, then $X$ is finite dimensional.

??? note "*Proof*:"

    Will be added later.

Compact sets have several basic properties similar to those of finite sets and not shared by non-compact sets. Such as the following.

> *Proposition 4*: let $(X,d_X)$ and $(Y,d_Y)$ be metric spaces and let $T: X \to Y$ be a continuous mapping. Let $M$ be a compact subset of $(X,d_X)$, then $T(M)$ is a compact subset of $(Y,d_Y)$. 

??? note "*Proof*:"

    Will be added later.

From this proposition we conclude that the following property carries over to metric spaces.

> *Corollary 1*: let $M \subset X$ be a compact subset of a metric space $(X,d)$ over a field $F$, a continuous mapping $T: M \to F$ attains a maximum and minimum value.

??? note "*Proof*:"

    Will be added later.