# Lagrange generalizations

## The generalized momentum and force

> *Definition 1*: let $\mathcal{L}: (\mathbf{q}, \mathbf{q'}) \mapsto \mathcal{L}(\mathbf{q}, \mathbf{q'})$ be the Lagrangian, the **generalized momentum** $p_j: (\mathbf{q}, \mathbf{q}') \mapsto p_j(\mathbf{q},\mathbf{q}')$ is defined as
>
> $$
>   p_j(\mathbf{q},\mathbf{q}') = \partial_{q_j'} \mathcal{L}(\mathbf{q}, \mathbf{q'}), 
> $$
>
> for all $t \in \mathbb{R}$. 

The generalized momentum may also be referred to as the canonical or conjugated momentum. Recall that $j \in \mathbb{N}[j\leq f]$. 

> *Definition 2*: let $\mathcal{L}: (\mathbf{q}, \mathbf{q'}) \mapsto \mathcal{L}(\mathbf{q}, \mathbf{q'})$ be the Lagrangian, the **generalized force of type II** $F_j: (\mathbf{q}, \mathbf{q}') \mapsto F_j(\mathbf{q},\mathbf{q}')$ is defined as
>
> $$
>   F_j(\mathbf{q},\mathbf{q}') = \partial_{q_j} \mathcal{L}(\mathbf{q}, \mathbf{q'})
> $$
>
> for all $t \in \mathbb{R}$. 

We may also write $\mathbf{p} = \{p_j\}_{j=1}^f$ and $\mathbf{F} = \{F_j\}_{j=1}^f$. 

## The generalized energy

> *Theorem 1*: let $\mathcal{L}: (\mathbf{q}, \mathbf{q'}) \mapsto \mathcal{L}(\mathbf{q}, \mathbf{q'})$ be the Lagrangian, the generalized energy $h: (\mathbf{q}, \mathbf{q'},\mathbf{p}) \mapsto h(\mathbf{q}, \mathbf{q'},\mathbf{p})$ is given by
>
> $$
>   h(\mathbf{q}, \mathbf{q'}, \mathbf{p}) = \sum_{j=1}^f \big(p_j q_j' \big) - \mathcal{L}(\mathbf{q}, \mathbf{q'}), 
> $$
>
> for all $t \in \mathbb{R}$. 

??? note "*Proof*:"

    Will be added later.

A generalization of the concept of energy.

* If the Lagrangian $\mathcal{L}: (\mathbf{q}, \mathbf{q'},t) \mapsto \mathcal{L}(\mathbf{q}, \mathbf{q'},t)$ is explicitly time-dependent $\partial_t \mathcal{L}(\mathbf{q}, \mathbf{q'},t) \neq 0$ and the generalized energy $h$ is not conserved.
* If the Lagrangian $\mathcal{L}: (\mathbf{q}, \mathbf{q'}) \mapsto \mathcal{L}(\mathbf{q}, \mathbf{q'})$ is not explicitly time-dependent $\partial_t \mathcal{L}(\mathbf{q}, \mathbf{q'}) = 0$ and the generalized energy $h$ is conserved. 

> *Theorem 2*: for autonomous systems with only conservative forces the generalized energy $h: (\mathbf{q}, \mathbf{q'}) \mapsto h(\mathbf{q}, \mathbf{q'})$ is conserved and is given by
>
> $$
>   h(\mathbf{q}, \mathbf{q'}) = T(\mathbf{q},\mathbf{q}') + V(\mathbf{q}) \overset{\mathrm{def}}= E,
> $$
>
> for all $t \in \mathbb{R}$ with $T: (\mathbf{q}, \mathbf{q}') \mapsto T(\mathbf{q}, \mathbf{q'})$ and $V: \mathbf{q} \mapsto V(\mathbf{q})$ the kinetic and potential energy of the system and $E \in \mathbb{R}$ the total energy of the system.

??? note "*Proof*:"

    Will be added later.

In this case the generalized energy $h$ is conserved and is equal to the total energy $E$ of the system.

## Conservation of generalized momentum

> *Definition 3*: let $\mathcal{L}: (\mathbf{q}, \mathbf{q'}) \mapsto \mathcal{L}(\mathbf{q}, \mathbf{q'})$ be the Lagrangian, a coordinate $q_j$ is **cyclic** if
>
> $$
>   \partial_{q_j} \mathcal{L}(\mathbf{q}, \mathbf{q'}) = 0,
> $$
>
> for all $t \in \mathbb{R}$. 

Therefore the Lagrangian is independent of a cyclic coordinate. 

> *Proposition 1*: the generalized momentum $p_j$ corresponding to a cyclic coordinate $q_j$ is conserved.

??? note "*Proof*:"

    Will be added later.

## Seperable systems

> *Proposition 2*: the Lagrangian is seperable if there exists two mutually independent subsystems. 

??? note "*Proof*:"

    Will be added later.

Obtaining a decoupled set of partial differential equations.

## Invariances

> *Proposition 3*: the Lagrangian is invariant for Gauge transformations and therefore **not unique**. 

??? note "*Proof*:"

    Will be added later.

There can exist multiple Lagrangians that may lead to the same equation of motion.

According to the theorem of Noether, the invariance of a closed system with respect to continuous transformations implies that corresponding conservation laws exist.