# Standard error

## The spread in the mean

> *Definition 1*: for a series of $N \in \mathbb{N}$ independent measurements $\{x_1, \dots, x_N\}$ of the same quantity, the mean $\bar x$ of the measurements is defined as
>
> $$
>   \bar x = \frac{1}{N} \sum_{i=1}^N x_i,
> $$
>
> for all $x_i \in \mathbb{R}$. 

??? note "*Derivation from the expectation value*:"

    Will be added later.

Which is closely related to the expectation value defined in [probability theory](), the difference is the experimental notion of a finite amount of measurements. Similarly, the mean should be an approximation of the true value.

> *Definition 2*: for a series of $N \in \mathbb{N}$ independent measurements $\{x_1, \dots, x_N\}$ of the same quantity, the spread $S$ in the measurements is defined as
>
> $$
>   S = \sqrt{\frac{1}{N - 1} \sum_{i=1}^N (\bar x - x_i)^2},
> $$
>
> for all $x_i \in \mathbb{R}$. 

??? note "*Derivation from the variance*:"

    Will be added later.

Which is closely related to the variance defined in [probability theory](), the difference is once again the experimental notion of a finite amount of measurements.

With the spread $S$ in the measurements the spread in the mean $S_{\bar x}$ may be determined. 

> *Theorem 1*: for a series of $N \in \mathbb{N}$ independent measurements $\{x_1, \dots, x_N\}$ of the same quantity, the spread in the mean $S_{\bar x}$ is given by
>
> $$
>   S_{\bar x} = \sqrt{\frac{1}{N(N-1)} \sum_{i=1}^N (\bar x - x_i)^2}, 
> $$
>
> for all $x_i \in \mathbb{R}$ with $\bar x$ the mean.

??? note "*Proof*:"

    Will be added later.

## Determining the transformed spread

In this section a method will be postulated and derived under certain assumptions to determine the spread in the transformed means with a map $f$. 

> *Definition 3*: let $f: \mathbb{R}^n \to \mathbb{R} :(\bar x_1 \pm S_{\bar x_1}, \dots, \bar x_n \pm S_{\bar x_n}) \mapsto f(\bar x_1 \pm S_{\bar x_1}, \dots, \bar x_n \pm S_{\bar x_n}) \overset{.} = \bar y \pm S_{\bar y}$ be a function that maps the mean for each independent measurement series with a corresponding spread to a new mean quantity $\bar y$ with a spread $S_{\bar y}$ for $n \in \mathbb{N}$. 

In assumption that the spread in the mean for each independent measurement series is small, the following may be posed.

> *Postulate 1*: let $f: (\bar x_1 \pm S_{\bar x_1}, \dots, \bar x_n \pm S_{\bar x_n}) \mapsto f(\bar x_1 \pm S_{\bar x_1}, \dots, \bar x_n \pm S_{\bar x_n}) \overset{.} = \bar y \pm S_{\bar y}$, the spread $S_{\bar y}$ may be given by
>
> $$
>   S_{\bar y} = \sqrt{\sum_{i=1}^n \Big(\partial_i f(\bar x_1, \dots, \bar x_n) S_{\bar x_i} \Big)^2},
> $$
>
> and $\bar y = f(\bar x_1, \dots, \bar x_n)$ correspondingly for all $(\bar x_1 \pm S_{\bar x_1}, \dots, \bar x_n \pm S_{\bar x_n}) \in \mathbb{R}^n$. 

??? note "*Derivation*:"

    Will be added later.

With this general expression the following properties may be derived.

### Properties

The sum of the independently measured quantities is posed in the following corollary. 

> *Corollary 1*: let $f: (\bar x_1 \pm S_{\bar x_1}, \dots, \bar x_n \pm S_{\bar x_n}) \mapsto f(\bar x_1 \pm S_{\bar x_1}, \dots, \bar x_n \pm S_{\bar x_n}) \overset{.} = \bar y \pm S_{\bar y}$ with $\bar y$ given by
>
> $$
>   \bar y = f(\bar x_1, \dots, \bar x_n) = \bar x_1 + \dots \bar x_n,
> $$
>
> then the spread $S_{\bar y}$ may be given by
>
> $$
>   S_{\bar y} = \sqrt{S_{\bar x_1}^2 + \dots + S_{\bar x_n}^2},
> $$
>
> for all $(\bar x_1 \pm S_{\bar x_1}, \dots, \bar x_n \pm S_{\bar x_n}) \in \mathbb{R}^n$.

??? note "*Proof*:"

    Will be added later.

The multiplication of a constant with the independently measured quantities is posed in the following corollary. 

> *Corollary 2*: let $f: (\bar x_1 \pm S_{\bar x_1}, \dots, \bar x_n \pm S_{\bar x_n}) \mapsto f(\bar x_1 \pm S_{\bar x_1}, \dots, \bar x_n \pm S_{\bar x_n}) \overset{.} = \bar y \pm S_{\bar y}$ with $\bar y$ given by
>
> $$
>   \bar y = f(\bar x_1, \dots, \bar x_n) = \lambda(\bar x_1 + \dots \bar x_n),
> $$
>
> for $\lambda \in \mathbb{R}$ then the spread $S_{\bar y}$ may be given by
>
> $$
>   S_{\bar y} = |\lambda| (S_{\bar x_1} + \dots + S_{\bar x_n}),
> $$
>
> for all $(\bar x_1 \pm S_{\bar x_1}, \dots, \bar x_n \pm S_{\bar x_n}) \in \mathbb{R}^n$.

??? note "*Proof*:"

    Will be added later.

The product of two independently measured quantities is posed in the following corollary.

> *Corollary 3*: let $f: (\bar x_1 \pm S_{\bar x_1}, \bar x_2 \pm S_{\bar x_2}) \mapsto f(\bar x_1 \pm S_{\bar x_1}, \bar x_2 \pm S_{\bar x_2}) \overset{.} = \bar y \pm S_{\bar y}$ with $\bar y$ given by
>
> $$
>   \bar y = f(\bar x_1, \bar x_2) = \bar x_1 \bar x_2,
> $$
>
> then the spread $S_{\bar y}$ may be given by
>
> $$
>   S_{\bar y} = \sqrt{\bigg(\frac{S_{\bar x_1}}{\bar x_1}\bigg)^2 + \bigg(\frac{S_{\bar x_2}}{\bar x_2} \bigg)^2}, 
> $$    
>
> for all $(\bar x_1 \pm S_{\bar x_1}, x_2 \pm S_{\bar x_2}) \in \mathbb{R}^2$.

??? note "*Proof*:"

    Will be added later.

## Combining measurements

If by a measurement series $m \in \mathbb{N}$ values $\{\bar y_1 \pm S_{\bar y_1}, \dots, \bar y_m \pm S_{\bar y_m}\}$ have been found for the same quantity then $\bar y$ is given by

$$
    \bar y = \frac{\sum_{i=1}^m (1 / S_{\bar y_i})^2 \bar y_i}{\sum_{i=1}^m (1 / S_{\bar y_i})^2},
$$

with its corresponding spread $S_{\bar y}$ given by

$$
    S_{\bar y} = \frac{1}{\sqrt{\sum_{i=1}^m (1 / S_{\bar y_i})^2}},
$$

for all $\{\bar y_1 \pm S_{\bar y_1}, \dots, \bar y_m \pm S_{\bar y_m}\} \in \mathbb{R}^m$. 

??? note "*Proof*:"

    Will be added later.