# Vector operators

## Properties of the gradient, divergence and curl

> *Proposition*: let $a,b \in \mathbb{R}$, $f,g: \mathbb{R}^3 \to \mathbb{R}$ be differentiable scalar fields and $\mathbf{u}, \mathbf{v}: \mathbb{R}^3 \to \mathbb{R}^3$ be differentiable vector fields. Then we have the following identities:
>
> **Linearity:**
>
> $$
> \begin{align*}
>   \nabla (af + bg) &= a \nabla f + b \nabla g, \\
>   \nabla \cdot (a\mathbf{u} + b \mathbf{v}) &= a (\nabla \cdot \mathbf{u}) + b (\nabla \cdot \mathbf{v}), \\
>   \nabla \times (a\mathbf{u} + b \mathbf{v}) &=  a (\nabla \times \mathbf{u}) + b (\nabla \times\mathbf{v}).
> \end{align*}
> $$
>
> **Multiplication rules:**
>
> $$
> \begin{align*}
>   \nabla (fg) &= f \nabla g+ g \nabla f, \\
>   \nabla \cdot (f \mathbf{u}) &= f (\nabla \cdot \mathbf{u}) + \langle \nabla f, \mathbf{u} \rangle, \\
>   \nabla \cdot (\mathbf{u} \times \mathbf{v}) &= \langle \nabla \times \mathbf{u}, \mathbf{v} \rangle - \langle \mathbf{u}, \nabla \times \mathbf{v} \rangle, \\
>   \nabla \times (f\mathbf{u}) &= f (\nabla \times \mathbf{u}) + \nabla f \times \mathbf{u}.
> \end{align*}
> $$

??? note "*Proof*:"

    Will be added later.

## The laplacian

> *Definition*: the laplacian of a differentiable scalar field $f: \mathbb{R}^3 \to \mathbb{R}$ is defined as
>
> $$
>   \nabla^2 f(\mathbf{x}) := \nabla \cdot \nabla f(\mathbf{x}),
> $$
>
> for all $\mathbf{x} \in \mathbb{R}^3$. 

The notation may be unorthodox for some. An alternative notatation for the laplacian is $\Delta f$, though generally deprecated.

We can also rewrite the laplacian for curvilinear coordinate systems as has been done below.

> *Theorem*: the laplacian of a differentiable scalar field $f: \mathbb{R}^3 \to \mathbb{R}$ for a curvilinear coordinate system is given by
>
> $$
>   \nabla^2 f(\mathbf{x}) = \frac{1}{g(\mathbf{x})} \partial_i \Big(\sqrt{g(\mathbf{x})} g^{ij}(\mathbf{x}) \partial_j f(\mathbf{x}) \Big),
> $$
>
> for all $\mathbf{x} \in \mathbb{R}^3$. 

??? note "*Proof*:"

    Will be added later.

The laplacian for a ortho-curvilinear coordinate system may also be derived and can be found below.

> *Corollary*: the laplacian of a differentiable scalar field $f: \mathbb{R}^3 \to \mathbb{R}$ for a ortho-curvilinear coordinate system is given by
>
> $$
>   \nabla^2 f(\mathbf{x}) = \frac{1}{h_1 h_2 h_3} \bigg(\partial_1 \Big(\frac{h_2 h_3}{h_1} \partial_1 f(\mathbf{x}) \Big) + \partial_2 \Big(\frac{h_1 h_3}{h_2} \partial_2 f(\mathbf{x}) \Big) + \partial_3 \Big(\frac{h_1 h_2}{h_3} \partial_3 f(\mathbf{x}) \Big) \bigg),
> $$
>
> for all $\mathbf{x} \in \mathbb{R}^3$. 

??? note "*Proof*:"

    Will be added later.

Please note that the scaling factors may also depend on the position $\mathbf{x} \in \mathbb{R}^3$ depending on the coordinate system. 

> *Proposition*: the laplacian of a differentiable vector field $\mathbf{v}: \mathbb{R}^3 \to \mathbb{R}^3$ is given by
>
> $$
>   \nabla^2 \mathbf{v}(\mathbf{x}) = \nabla \big(\nabla \cdot \mathbf{v}(\mathbf{x})\big) - \nabla \times \big(\nabla \times \mathbf{v}(\mathbf{x})\big),
> $$
>
> for all $\mathbf{x} \in \mathbb{R}^3$. 

??? note "*Proof*:"

    Will be added much later.

## Potentials

> *Definition*: a vector field $\mathbf{v}: \mathbb{R}^3 \to \mathbb{R}^3$ is irrotational or curl free if 
>
> $$
>   \nabla \times \mathbf{v}(\mathbf{x}) = \mathbf{0},
> $$
>
> for all $\mathbf{x} \in \mathbb{R}^3$. 

If $\mathbf{v}: \mathbb{R}^3 \to \mathbb{R}^3$ is the gradient of some scalar field $\Phi: \mathbb{R}^3 \to \mathbb{R}$ it is irrotational since 

$$
    \nabla \times\big (\nabla \Phi(\mathbf{x})\big) = \mathbf{0},
$$

for all $\mathbf{x} \in \mathbb{R}^3$. 

> *Proposition*: an irrotational vector field $\mathbf{v}: \mathbb{R}^3 \to \mathbb{R}^3$ has a scalar potential $\Phi: \mathbb{R}^3 \to \mathbb{R}$ such that
>
> $$
>   \mathbf{v}(\mathbf{x}) = \nabla \Phi(\mathbf{x}),
> $$
>
> for all $\mathbf{x} \in \mathbb{R}^3$. 

??? note "*Proof*:"

    Will be added later.

In physics the scalar potential is generally given by the negative of the gradient, both are correct but one is more stupid than the other.

> *Definition*: a vector field $\mathbf{v}: \mathbb{R}^3 \to \mathbb{R}^3$ is solenoidal or divergence-free if 
>
> $$
>   \nabla \cdot \mathbf{v}(\mathbf{x}) = 0,
> $$
>
> for all $\mathbf{x} \in \mathbb{R}^3$. 

If $\mathbf{v}: \mathbb{R}^3 \to \mathbb{R}^3$ is the curl of some vector field $\mathbf{u}: \mathbb{R}^3 \to \mathbb{R}^3$ it is solenoidal since

$$
    \nabla \cdot \big(\nabla \times \mathbf{u}(\mathbf{x}) \big) = 0,
$$

for all $\mathbf{x} \in \mathbb{R}^3$.

> *Proposition*: a solenoidal vector field $\mathbf{v}: \mathbb{R}^3 \to \mathbb{R}^3$ has a vector potential $\mathbf{u}: \mathbb{R}^3 \to \mathbb{R}^3$ such that
>
> $$
>   \mathbf{v}(\mathbf{x}) = \nabla \times \mathbf{u}(\mathbf{x}),
> $$
>
> for all $\mathbf{x} \in \mathbb{R}^3$.

??? note "*Proof*:"

    Will be added later.

The theorem below is the Helmholtz decomposition theorem and states that every vector field can be written in terms of two potentials. 

> *Theorem*: every vector field $\mathbf{v}: \mathbb{R}^3 \to \mathbb{R}^3$ can be written in terms of a scalar $\Phi: \mathbb{R}^3 \to \mathbb{R}$ and a vector $\mathbf{u}: \mathbb{R}^3 \to \mathbb{R}^3$ potential as
>
> $$
>   \mathbf{v}(\mathbf{x}) = \nabla \Phi(\mathbf{x}) + \nabla \times \mathbf{u}(\mathbf{x}),
> $$
>
> for all $\mathbf{x} \in \mathbb{R}^3$.

??? note "*Proof*:"

    Will be added later.

It then follows that the scalar and vector potentials can be determined for a volume $V \subset \mathbb{R}^3$ with a boundary surface $A \subset \mathbb{R}^3$ that encloses the domain $V$. 

> *Corollary*: the scalar $\Phi: \mathbb{R}^3 \to \mathbb{R}$ and vector $\mathbf{u}: \mathbb{R}^3 \to \mathbb{R}^3$ potentials for a volume $V \subset \mathbb{R}^3$ with a boundary surface $A \subset \mathbb{R}^3$ that encloses the domain $V$ are given by
>
> $$
> \begin{align*}
>   \Phi(\mathbf{x}) &= \frac{1}{4\pi} \int_V \frac{\nabla \cdot \mathbf{v}(\mathbf{r})}{\|\mathbf{x} - \mathbf{r}\|}dV - \frac{1}{4\pi} \oint_A \bigg\langle \frac{1}{\|\mathbf{x} - \mathbf{r}\|} \mathbf{v}(\mathbf{r}), d\mathbf{A} \bigg\rangle, \\
> \\
> \mathbf{u}(\mathbf{x}) &= \frac{1}{4\pi} \int_V \frac{\nabla \times \mathbf{v}(\mathbf{r})}{\|\mathbf{x} - \mathbf{r}\|}dV - \frac{1}{4\pi} \oint_A  \frac{1}{\|\mathbf{x} - \mathbf{r}\|} \mathbf{v}(\mathbf{r}) \times d\mathbf{A},
> \end{align*}
> $$
>
> for all $\mathbf{x} \in \mathbb{R}^3$.

??? note "*Proof*:"

    Will be added later.